/*
 * File: FileReader.h
 *
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#ifndef FILEREADER_H
#define FILEREADER_H 1

#include "genlib.h"
#include "strlib.h"

/*
 * Function: OpenFile
 * Usage: if ( OpenFile(filename) )
 * --------------------------------
 * Attempts to open a file with the given name for reading.
 * Returns TRUE if attempt was successful, FALSE otherwise.
 */

bool OpenFile(string filename);


/*
 * Function: GetNextWord
 * Usage: word = GetNextWord();
 * ----------------------------
 * Returns the next word written in the file opened with the OpenFile
 * function. In order for this function to properly return the next
 * word in the file we must not have reached the end of the file
 * (equivalently the function AtEndOfFile() below must return FALSE
 * before calling GetNextWord()).
 */

string GetNextWord(void);

/*
 * Function: AtEndOfFile
 * Usage: if ( !AtEndOfFile() )
 * ----------------------------
 * Return TRUE if we have reached the end of the file opened with the
 * OpenFile function, FALSE otherwise. We must always check with this
 * function that we have not reached the end of the file opened with
 * OpenFile before calling the GetNextWord function.
 */

bool AtEndOfFile(void);


#endif /* FILEREADER_H */
